package cicaprojekt;

import java.io.IOException;

public class PlayerDrawer extends ImagePanel implements Drawer {
    Player player;
    
    public PlayerDrawer(Player p) throws IOException {
        super("ONeill.png");
        player = p;
        setVisible(false);
    }
    
    @Override
    public void draw() throws IOException {
        
        //TODO Pictures for different facing directions.
        switch(player.name){
            case "O'Neill":
                switch(player.facingDirection){
                    case NORTH: 
                        changeImage("ONeill.png");
                        break;
                    case EAST:
                        changeImage("ONeill.png");
                        break;
                    case SOUTH:
                        changeImage("ONeill.png");
                        break;
                    default:
                        changeImage("ONeill.png");
                        break;
                }
                break;
                
            default:
                switch(player.facingDirection){
                    case NORTH: 
                        changeImage("Jaffa.png");
                        break;
                    case EAST:
                        changeImage("Jaffa.png");
                        break;
                    case SOUTH:
                        changeImage("Jaffa.png");
                        break;
                    default:
                        changeImage("Jaffa.png");
                        break;
                }
                break;
        }
        
        setVisible(true);
    }

    @Override
    public int getTileX() {
        return player.getCurrentTile().getX();
    }

    @Override
    public int getTileY() {
        return player.getCurrentTile().getY();
    }

}
